This site uses cookies! Learn More

Ce site utilise des cookies !

En continuant à utiliser ce site, vous vous engagez à nous permettre de stocker des cookies sur votre ordinateur.

 

Si nous utilisons des cookies et retenons des données anonymes, c’est pour nous aider à mieux gérer notre mesure d’audience, aider nos partenaires commerciaux à nous rémunérer et nos partenaires publicitaires à proposer des annonces qui vous correspondent.

 

Grâce à ces cookies, le forum est en mesure de savoir qui écrit un message et utile pour le système d'authentification.

 

En cliquant sur « J'accepte », vous acceptez l'utilisation par NAS-Forum de cookies publicitaires et de mesure d'audience fine.

Messages recommandés

Salut,

Je développe un module personnalisé. A chaque fois que je change quelque chose et restart le serveur, j'obtiens cette erreur : 

Erreur:
Odoo Server Error

Traceback (most recent call last):
  File "C:\Users\arsene.poutsi\AppData\Local\Programs\Odoo-master\odoo\api.py", line 753, in get
    value = self._data[field][record._ids[0]]
KeyError: 706

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\arsene.poutsi\AppData\Local\Programs\Odoo-master\odoo\fields.py", line 955, in __get__
    value = env.cache.get(record, self)
  File "C:\Users\arsene.poutsi\AppData\Local\Programs\Odoo-master\odoo\api.py", line 759, in get
    raise CacheMiss(record, field)
odoo.exceptions.CacheMiss: ('ir.actions.act_window(706,).search_view', None)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\arsene.poutsi\AppData\Local\Programs\Odoo-master\odoo\http.py", line 619, in _handle_exception
    return super(JsonRequest, self)._handle_exception(exception)
  File "C:\Users\arsene.poutsi\AppData\Local\Programs\Odoo-master\odoo\http.py", line 309, in _handle_exception
    raise pycompat.reraise(type(exception), exception, sys.exc_info()[2])
  File "C:\Users\arsene.poutsi\AppData\Local\Programs\Odoo-master\odoo\tools\pycompat.py", line 14, in reraise
    raise value
  File "C:\Users\arsene.poutsi\AppData\Local\Programs\Odoo-master\odoo\http.py", line 664, in dispatch
    result = self._call_function(**self.params)
  File "C:\Users\arsene.poutsi\AppData\Local\Programs\Odoo-master\odoo\http.py", line 345, in _call_function
    return checked_call(self.db, *args, **kwargs)
  File "C:\Users\arsene.poutsi\AppData\Local\Programs\Odoo-master\odoo\service\model.py", line 93, in wrapper
    return f(dbname, *args, **kwargs)
  File "C:\Users\arsene.poutsi\AppData\Local\Programs\Odoo-master\odoo\http.py", line 338, in checked_call
    result = self.endpoint(*a, **kw)
  File "C:\Users\arsene.poutsi\AppData\Local\Programs\Odoo-master\odoo\http.py", line 909, in __call__
    return self.method(*args, **kw)
  File "C:\Users\arsene.poutsi\AppData\Local\Programs\Odoo-master\odoo\http.py", line 510, in response_wrap
    response = f(*args, **kw)
  File "c:\users\arsene.poutsi\appdata\local\programs\odoo-master\addons\web\controllers\main.py", line 1639, in load
    action = request.env[action_type].browse([action_id]).read()
  File "C:\Users\arsene.poutsi\AppData\Local\Programs\Odoo-master\odoo\addons\base\models\ir_actions.py", line 204, in read
    result = super(IrActionsActWindow, self).read(fields, load=load)
  File "C:\Users\arsene.poutsi\AppData\Local\Programs\Odoo-master\odoo\models.py", line 2900, in read
    vals[name] = convert(record[name], record, use_name_get)
  File "C:\Users\arsene.poutsi\AppData\Local\Programs\Odoo-master\odoo\models.py", line 5564, in __getitem__
    return self._fields[key].__get__(self, type(self))
  File "C:\Users\arsene.poutsi\AppData\Local\Programs\Odoo-master\odoo\fields.py", line 979, in __get__
    self.compute_value(recs)
  File "C:\Users\arsene.poutsi\AppData\Local\Programs\Odoo-master\odoo\fields.py", line 1060, in compute_value
    records._compute_field_value(self)
  File "C:\Users\arsene.poutsi\AppData\Local\Programs\Odoo-master\odoo\models.py", line 3880, in _compute_field_value
    getattr(self, field.compute)()
  File "C:\Users\arsene.poutsi\AppData\Local\Programs\Odoo-master\odoo\addons\base\models\ir_actions.py", line 171, in _compute_search_view
    fvg = self.env[act.res_model].fields_view_get(act.search_view_id.id, 'search')
  File "C:\Users\arsene.poutsi\AppData\Local\Programs\Odoo-master\odoo\api.py", line 471, in __getitem__
    return self.registry[model_name]._browse(self, (), ())
  File "C:\Users\arsene.poutsi\AppData\Local\Programs\Odoo-master\odoo\modules\registry.py", line 175, in __getitem__
    return self.models[model_name]
KeyError: 'stock.picking.type'

 

Pourquoi cela arrive-t-il? L'erreur contient-elle des informations qui pourraient être utilisées pour résoudre ce problème?

Partager ce message


Lien à poster
Partager sur d’autres sites

Quel est le rapport avec Syno ?

Car les messages d'erreur ne font référence qu'à un chemin Windows, et un problème de code (python ?)
Ce qui fait que ce n'est en tout cas pas la bonne rubrique, je déplace.

Merci d'y être attentif, et de passer par une petite présentation dans la zone appropriée.

Partager ce message


Lien à poster
Partager sur d’autres sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Invité
Répondre à ce sujet…

×   Collé en tant que texte enrichi.   Coller en tant que texte brut à la place

  Seulement 75 émoticônes maximum sont autorisées.

×   Votre lien a été automatiquement intégré.   Afficher plutôt comme un lien

×   Votre contenu précédent a été rétabli.   Vider l’éditeur

×   Vous ne pouvez pas directement coller des images. Envoyez-les depuis votre ordinateur ou insérez-les depuis une URL.

Chargement